package waific.Teflonic.therapistic

import com.easy.clean.R
import tooic.fatalityic.jittersic.Peteric
import tooic.fatalityic.jittersic.goToAc
import autonomyic.polemicalic.congestionic.Unwindic
import com.easy.clean.databinding.FlowicBinding
import warpic.Shamrockic
import warpic.Shamrockic.Companion.SCAN_AUDIOS
import warpic.Shamrockic.Companion.SCAN_DOCUMENTS
import warpic.Shamrockic.Companion.SCAN_PHOTOS
import warpic.Shamrockic.Companion.SCAN_VIDEOS

class Psychologyic : Peteric<FlowicBinding>(FlowicBinding::inflate) {


    override fun initView() {
        super.initView()
        Unwindic.showNative(binding.protectic, R.layout.explanatoryic)
    }

    override fun initListener() {
        super.initListener()
        binding.dragic.setOnClickListener {
            goToAc(Shamrockic::class.java) {
                putExtra("ScanType", SCAN_PHOTOS)
            }
        }
        binding.agonizeic.setOnClickListener {
            goToAc(Shamrockic::class.java) {
                putExtra("ScanType", SCAN_VIDEOS)
            }
        }
        binding.crimeic.setOnClickListener {
            goToAc(Shamrockic::class.java) {
                putExtra("ScanType", SCAN_DOCUMENTS)
            }
        }
        binding.crimeic.setOnClickListener {
            goToAc(Shamrockic::class.java) {
                putExtra("ScanType", SCAN_AUDIOS)
            }
        }

    }
}